<template>
  <div class="mt-4">
    <bus-stops-list :bus-stops="busStops" :loading="loading" :error="error" />
  </div>
</template>

<script setup lang="ts">
import BusStopsList from '@/features/bus-stops/bus-stops-list/BusStopsList.vue';
import { useStore } from '@/store';
import { computed } from 'vue';

const store = useStore();

const busStops = computed(() => {
  return store.getters.stopsList;
});

const loading = computed(() => {
  return store.state.loading;
});

const error = computed(() => {
  return store.state.error;
});
</script>

<style>
.search-input {
  max-width: 18rem;
}
</style>
